Lista las respuestas CSAT de la empresa solicitante
curl --request GET \
--url https://clientapi.woku.app/v1/csat \
--header 'Authorization: Bearer <token>'import requests
url = "https://clientapi.woku.app/v1/csat"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://clientapi.woku.app/v1/csat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"_id": "<string>",
"score": 3,
"anonymous": true,
"csatToolId": "<string>",
"clientId": "<string>",
"responseChannel": "<string>",
"commentType": "textnote",
"description": "<string>",
"transcription": "<string>",
"feedbackType": "recognition",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"page": 123,
"limit": 123
}{
"statusCode": 403,
"message": "Authentication required",
"error": "Forbidden"
}CSAT
Lista las respuestas CSAT de la empresa solicitante
Paginado, mas recientes primero. Filtra por herramienta CSAT, rango de fechas y si la respuesta lleva feedback. Requiere la clave secreta.
GET
/
v1
/
csat
Lista las respuestas CSAT de la empresa solicitante
Autorizaciones
Clave de API de la empresa. Obtenla desde tu panel de Woku en Configuracion > API Keys. La misma clave usada para los endpoints v0.
Parámetros de consulta
Limite inferior inclusivo sobre createdAt.
Limite superior inclusivo sobre createdAt.
true devuelve solo las respuestas con un comentario de texto o voz.
Rango requerido:
x >= 1Rango requerido:
1 <= x <= 100